Package org.eclipse.net4j.util.concurrent

## Class TimerLifecycle.DaemonFactory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.net4j.util.concurrent.TimerLifecycle.DaemonFactory

- All Implemented Interfaces:
    `IFactory`
  Enclosing class:
    TimerLifecycle

      public static class TimerLifecycle.DaemonFactory
      extends Factory

  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `TYPE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DaemonFactory()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `create​(java.lang.String name)` |
    `static TimerLifecycle` | `getTimer​(IManagedContainer container, java.lang.String name)` |

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final java.lang.String TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DaemonFactory

          public DaemonFactory()

  - ### Method Detail

    - #### create

          public java.lang.Object create​(java.lang.String name)
                                  throws ProductCreationException

      Throws:
        `ProductCreationException`

    - #### getTimer

          public static TimerLifecycle getTimer​(IManagedContainer container,
                                                java.lang.String name)